MANGLE_PATH(9)

NAME
mangle_path - mangle and copy path to buffer beginning

SYNOPSIS

char * mangle_path(char * s, const char * p, const char * esc);

ARGUMENTS

s
    buffer start

p
    beginning of path in above buffer

esc
    set of characters that need escaping

DESCRIPTION

Copy the path from p to s, replacing each occurrence of character from esc with usual octal escape. Returns pointer past last written character in s, or NULL in case of failure.

COPYRIGHT